获取视频内容

获取已完成视频任务的视频文件内容。

此接口会代理返回视频文件流。

GET/v1/videos/{task_id}/content

获取视频内容

获取已完成视频任务的视频文件内容。 此接口会代理返回视频文件流。

鉴权: 使用 Bearer Token 认证。 格式: `Authorization: Bearer sk-xxxxxx`

请求参数

字段类型必填说明
task_idstring是视频任务 ID
位置: path

示例代码

curl -X GET "https://api.nodeprice.com/v1/videos/string/content" \
  -H "Authorization: Bearer <token>"
const url = "https://api.nodeprice.com/v1/videos/string/content";

const response = await fetch(url, {
  method: "GET",
  headers: {
    "Authorization": "Bearer <token>"
  }
});

console.log(await response.text());
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	url := "https://api.nodeprice.com/v1/videos/string/content"
	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer <token>")
	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()
	data, err := io.ReadAll(resp.Body)
	if err != nil {
		panic(err)
	}
	fmt.Println(string(data))
}
import requests

url = "https://api.nodeprice.com/v1/videos/string/content"

response = requests.request("GET", url, headers={
  "Authorization": "Bearer <token>"
})

print(response.text)
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
    .url("https://api.nodeprice.com/v1/videos/string/content")
    .method("GET", null)
    .addHeader("Authorization", "Bearer <token>")
    .build();

Response response = client.newCall(request).execute();
System.out.println(response.body().string());
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl == NULL) {
        return 1;
    }

    struct curl_slist *headers = NULL;
    headers = curl_slist_append(headers, "Authorization: Bearer <token>");

    curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/v1/videos/string/content");
    curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
    curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

    CURLcode code = curl_easy_perform(curl);
    if (code != CURLE_OK) {
        fprintf(stderr, "%s\n", curl_easy_strerror(code));
    }

    curl_slist_free_all(headers);
    curl_easy_cleanup(curl);
    return 0;
}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://api.nodeprice.com/v1/videos/string/content");
        request.Headers.Add("Authorization", "Bearer <token>");

        var response = await client.SendAsync(request);
        Console.WriteLine(await response.Content.ReadAsStringAsync());
    }
}

响应

200 成功获取视频内容

Content-Type: video/mp4

无字段定义。

404 视频不存在或未完成

Content-Type: application/json

字段类型必填说明
errorobject
messagestring错误信息
typestring错误类型
paramstring | null相关参数
codestring | null错误代码